<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
       <%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
       <%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<fmt:bundle basename="localization.BackupBrowseMessages">
	<fmt:message key="backupBrowse.label.selectSyncProfileTitle" var="selectSyncProfileTitle"/>
</fmt:bundle>
<fmt:bundle basename="localization.ClientDetailsMessages">
	<fmt:message key="clientDetails.success.userProfile" var="userProfileSuccessText" />
	<fmt:message key="clientDetails.failure.userProfile" var="userProfileFailureText" />
</fmt:bundle>
<fmt:bundle basename="localization.SyncMessages">
       <fmt:message key="sync.title.page" var="headerTitle" />

       <fmt:message key="sync.dialog.deleteSyncFolderTitle" var="deleteSyncFolderTitle" />
       <fmt:message key="sync.dialog.pauseSyncFolderTitle" var="pauseSyncFolderTitle" />
       <fmt:message key="sync.dialog.resumeSyncFolderTitle" var="resumeSyncFolderTitle" />
       <fmt:message key="sync.dialog.startSyncFolderTitle" var="startSyncFolderTitle" />
       <fmt:message key="sync.dialog.deleteText" var="deleteText" />
       <fmt:message key="sync.dialog.pauseText" var="pauseText" />
       <fmt:message key="sync.dialog.resumeText" var="resumeText" />
       <fmt:message key="sync.dialog.startText" var="startText" />
       <fmt:message key="sync.dialog.deleteSuccess" var="deleteSuccess" />
       <fmt:message key="sync.dialog.pauseSuccess" var="pauseSuccess" />
       <fmt:message key="sync.dialog.resumeSuccess" var="resumeSuccess" />
       <fmt:message key="sync.dialog.startSuccess" var="startSuccess" />
       <fmt:message key="sync.dialog.deleteFailed" var="deleteFailed" />
       <fmt:message key="sync.dialog.pauseFailed" var="pauseFailed" />
       <fmt:message key="sync.dialog.resumeFailed" var="resumeFailed" />
       <fmt:message key="sync.dialog.startFailed" var="startFailed" />
       <fmt:message key='sync.label.notAvaiable' var='notAvailable' />
       <fmt:message key="sync.error.userProfileClient" var="userProfileClient" />
       <fmt:message key="sync.label.deleteTooltip" var="deleteTooltip" />
       <fmt:message key="sync.label.pauseTooltip" var="pauseTooltip" />
       <fmt:message key="sync.label.resumeTooltip" var="resumeTooltip" />
       <fmt:message key="sync.label.startTooltip" var="startTooltip" />
       <fmt:message key="sync.label.stopTooltip" var="stopTooltip" />

       <fmt:message key="sync.error.folderNameErrorAlreadyExists" var="folderNameErrorAlreadyExists" />
       <fmt:message key="sync.error.pathError" var="pathError" />
       <fmt:message key="sync.errorfolderNameEmpty" var="errorfolderNameEmpty" />
       <fmt:message key="sync.error.errorFetchingFolder" var="errorFetchingFolder" />

       <fmt:message key="sync.error.userProfileSaveError" var="userProfileSaveError" />

       <fmt:message key="sync.dialog.discardChangesTitle" var="discardChangesTitle" />
       <fmt:message key="sync.dialog.discardChangesText" var="discardChangesText" />

       <fmt:message key="sync.dialog.createFailed" var="createFailed" />
       <fmt:message key="sync.dialog.createSuccess" var="createSuccess" />

       <fmt:message key="sync.dialog.updateFailed" var="updateFailed" />
       <fmt:message key="sync.dialog.updateSuccess" var="updateSuccess" />

       <fmt:message key="sync.dialog.unlinkClientTitle" var="unlinkClientTitle" />
       <fmt:message key="sync.dialog.unlinkClientTextP1" var="unlinkClientTextP1" />
       <fmt:message key="sync.dialog.unlinkClientTextP2" var="unlinkClientTextP2" />
       <fmt:message key="sync.dialog.unlinkFailed" var="unlinkFailed" />
       <fmt:message key="sync.dialog.unlinkSuccess" var="unlinkSuccess" />
       <fmt:message key="sync.label.syncFolderPath" var="syncFolderPathText"/>
       <fmt:message key="sync.label.lastSyncTime" var="lastSyncTime"/>
       <fmt:message key="sync.label.status" var="syncStatusText"/>
       <fmt:message key="sync.label.allContent" var="allContentText"/>
       <fmt:message key="sync.label.myData" var="myData" />
       <fmt:message key="sync.action.sync" var="myDataSync" />
       <fmt:message key="sync.label.forceSyncLabel" var="forceSyncLabelText" />
       <fmt:message key="sync.label.forceSyncText" var="forceSyncText" />
       <fmt:message key="sync.error.somethingWentWrong" var="somethingWentWrong" />
       <fmt:message key="sync.label.forceSyncSuccessful" var="forceSyncSuccessful" />
       <fmt:message key="sync.error.folderNameError" var="folderNameError" />
       <fmt:message key="sync.error.nameAlreadyExists" var="nameAlreadyExists" />
       <fmt:message key="sync.error.invalidPathError" var="invalidPathError" />
       <fmt:message key="sync.error.clientMustBeLinkedToUserProfile" var="clientMustBeLinkedToUserProfile" />
       <fmt:message key="sync.error.maxClientsError" var="maxClientsError" />
       <fmt:message key="sync.filtersError.invalidFileSize" var="invalidFileSize" />
       <fmt:message key="sync.filtersError.invalidFileModified" var="invalidFileModified" />
       <fmt:message key="sync.filtersError.invalidFileName" var="invalidFileName" />
       <fmt:message key="sync.label.filterText" var="filterText"/>
       <fmt:message key="sync.filters.placeHolderTextFilterName" var="placeHolderTextFilterName" />
       <fmt:message key="sync.label.untitledFolder" var="untitledFolderText" />

       <c:set var="client" value="${requestScope.CLIENT_DETAIL}" />

<jsp:include page="../common/headerV2.jsp">
       <jsp:param value="../clientDetails/css/content.css" name="css"/>
       <jsp:param value="../common/css/custom-cb.css" name="css" />
	   <jsp:param value="true" name="bootstrapped" />
		<jsp:param value="myDataNav.jsp" name="navPage" />
       <jsp:param value="${headerTitle}" name="titleLocalized" />
       <jsp:param value="${titleName}" name="headerTitleLocalized" />
       <jsp:param value="true" name="showSyncItems" />
       <jsp:param value="true" name="showOnlyHelp" />
       <jsp:param value="true" name="includeTreeSupport" />
       <jsp:param value="true" name="includeMask" />
       <jsp:param value="${myDataSync}:summary/index.do?page=webFolder" name="breadCrumbValues" />
       <jsp:param value="false" name="includeSecHeader" />
       <jsp:param value="true" name="includeCustomSecHeader" />
	   <jsp:param value="sync" name="sourcePage" />
	   <jsp:param value="../common/customFileSystemSecHeader.jsp" name="customHeaderURL" />
</jsp:include>

       <div id="parentDiv" class="row">


              <!-- CLIENTS LIST FOR WEB FOLDER -->
              <div class="col-sm-12">
	              <div id="clientsListDiv" class="vw-data-table vw-client-list vw-sync-list">
	                     <ul class="topHeaderDiv vw-heading-row vw-data-row vw-client-row clearfix">
	                           <li id="webFolderTitle"><fmt:message key="sync.label.computers" /> </li>
	                     </ul>
	                     <div class="clientsList vw-client-table_content">

	                     </div>
	              </div>
			  </div>

              <!-- WITH CONTEXT CLIENT TEXT -->
              <div id="context" class="hidden">
                     <div id="folderInfo">


                           <!-- MODE & PATH RELATED INFO -->
                           <div id="modeRelatedInfo" class="vw-advanced-dropdown_container">
                                  <div class="modeInfo subsegment vw-title"><fmt:message key="sync.label.syncOptions" /></div>

                                  <div class="syncSubOptions vw-mode-options vw-mode-options_left">
                                         <ul>
                                                <li class="infotype syncOptionsLabel vw-subtitle" id="syncOptionsMode-label"><fmt:message key="sync.label.syncOptionsMode" /></li>
                                                <li class="infodesc vw-radio-list">
                                                       <ul class="selectMode" role="radiogroup" aria-labelledby="syncOptionsMode-label">
                                                              <li aria-checked="true" role="radio" tabindex="0"><div class="custom-rb checked-rb" data-state="checked" data-id="1"></div><span class="custom-rb-label" ><label class="linkedClients"><fmt:message key="sync.label.twoWaySync" /></label> </span>
                                                              </li>
                                                              <li aria-checked="false" role="radio" tabindex="-1"><div class="custom-rb unchecked-rb" data-state="unchecked" data-id="1"></div><span class="custom-rb-label" ><label class="linkedClients"><fmt:message key="sync.label.oneWaySyncToC" /></label> </span>
                                                              </li>
                                                              <li aria-checked="false" role="radio" tabindex="-1"><div class="custom-rb unchecked-rb" data-state="unchecked" data-id="1"></div><span class="custom-rb-label" ><label class="linkedClients"><fmt:message key="sync.label.oneWaySyncFromC" /></label> </span>
                                                              </li>
                                                              <li class="doNotShow"><div class="custom-rb unchecked-rb" data-state="unchecked" data-id="1"></div><span class="custom-rb-label" ><label class="linkedClients"><fmt:message key="sync.label.doNotSync" /></label> </span>
                                                              </li>
                                                       </ul>
                                                </li>
                                         </ul>
                                  </div>

                                  <div class="syncSubOptions rightPanel vw-mode-options vw-mode-options_right">
                                         <ul>

                                                <li class="infotype syncOptionsLabel vw-associated-user-label" >
                                                       <fmt:message key="sync.label.associatedUser" />
                                                </li>
                                                <li class="infodesc vw-associated-user-info">
                                                       <span id="UserProfileSpan" style="display:none;"><span class="vw-assigned-user"><fmt:message key="sync.label.unlinkedProfile" /></span><a href="#" class="changeUser vw-change-user"><fmt:message key="sync.label.linkNow" /></a></span>
                                                                     <span id="UserProfileSpanExisting" style="display:none;"><span class="linkedUser vw-assigned-user"></span><span class="cAccount" style="display:none"></span><br /> <a href="#" class="changeUser vw-change-user"><fmt:message key="sync.label.changeUser" /></a></span>

                                                </li>

                                         </ul>
                                         <div class="helpText vw-help-text pull-left">
                                                <small><span class="vw-underline"><fmt:message key="sync.label.note" /></span>&nbsp;<fmt:message key="sync.label.noteMessage" /></small>
                                         </div>
                                  </div>
                           </div>
                     </div>
                     <small id="showLess" class="vw-show-toggle"><fmt:message key="sync.label.less" /><img src="img/toggle_up.gif" class="syncDownArrow vw-down-arrow"></small>
              </div>




              <!-- BUTTONS AREA -->
                           <div class="btns rightBtns pageButtons col-xs-12">
                                  <a id="deleteFolder" class="resetButton vw-btn vw-btn-default" ><img src="../clientDetails/img/delete.gif">&nbsp;<fmt:message key="sync.actions.deleteFolder" /></a>
                                  <a id="forceSync" class="resetButton vw-btn vw-btn-default" ><img src="img/forceSync.gif">&nbsp;<fmt:message key="sync.actions.forceSync" /></a>
                                  <div class="pull-right">
	                                  <a id="resetButton" class="resetButton okSaveButton disabled vw-btn vw-btn-default" ><fmt:message key="sync.label.discard" /></a>&nbsp;<a href="#" id="okButton" class="mainBtn okSaveButton disabled vw-btn vw-btn-primary"><fmt:message key="sync.label.save" /></a><span id="savedText" class="hidden"><fmt:message key="sync.label.changesSaved" /></span>
                                  </div>
                           </div>

       </div>


       <!-- FLAGS FOR CURRENT FOLDER -->

              <c:forEach var="prop" items="${requestScope.CLIENT_PROP_FLAGS_PAUSED}">
                     <c:if test="${prop.key ==  1}">
                           <c:choose>
                                  <c:when test="${!prop.value}">
                                         <c:set var="pausedResumeOption" value="paused" />
                                  </c:when>
                                  <c:otherwise>
                                         <c:set var="pausedResumeOption" value="resume" />
                                  </c:otherwise>
                           </c:choose>
                     </c:if>
              </c:forEach>
              <c:set var="deleteOption" value="false" />
              <c:forEach var="prop" items="${requestScope.CLIENT_PROP_FLAGS_TEMPLATE}">
                     <c:if test="${prop.key == 1}">
                                  <c:if test="${!prop.value}">
                                         <c:set var="deleteOption" value="true" />
                                  </c:if>
                     </c:if>
              </c:forEach>



       <!-- Drop down list for other web folders -->

                     <div class="dropdownWebFolderList">
                     <div class="triborder" style="right: 10px;"><div class="triarea" ></div></div>
                           <ul class="webFolderList settingsbox vw-dropdown-menu">

                           <c:forEach var="folder" items="${requestScope.WEB_FOLDER_INFO}" varStatus="statusClients">
                                                <li class="otherFolders"><a href="#" data-id="${folder.syncWebFolder.syncWebFolderId}">${folder.syncWebFolder.syncWebFolderName}</a>

                                                       <div style="display:none" class="vw-clients_container">
                                                              <c:forEach var="clients" items="${folder.associatedClients}" varStatus="statusClients">
                                                                    <c:set var="modeStateClass" value="" />
                                                                     <c:choose>
                                                                           <c:when test="${clients.syncType == 'SOURCE'}">
                                                                                   <c:set var="modeValue" value="1" />
                                                                                   <c:set var="linkUnlinkedClass" value="linkedClient" />
                                                                            </c:when>
                                                                            <c:when test="${clients.syncType == 'DESTINATION'}">
                                                                                   <c:set var="modeValue" value="2" />
                                                                                   <c:set var="linkUnlinkedClass" value="linkedClient" />
                                                                            </c:when>
                                                                            <c:when test="${clients.syncType == 'SOURCE_AND_DESTINATION'}">
                                                                                   <c:set var="modeValue" value="0" />
                                                                                   <c:set var="linkUnlinkedClass" value="linkedClient" />
                                                                            </c:when>
                                                                            <c:when test="${clients.syncType == 'UNLINKED'}">
                                                                                   <c:set var="modeValue" value="3" />
                                                                                   <c:set var="linkUnlinkedClass" value="unlinkedClient" />
                                                                            </c:when>
                                                                     </c:choose>

                                                                     <c:if test="${clients.flag == 1}">
                                                                            <c:set var="modeValue" value="3" />
                                                                            <c:set var="modeStateClass" value="unlinkedState" />
                                                                            <c:set var="linkUnlinkedClass" value="unlinkedClient" />
                                                                     </c:if>

                                                                     <ul class="clients ${modeStateClass} vw-client vw-client-row vw-data-row clearfix">
                                                                                                <c:choose>
                                                                                  <c:when test="${linkUnlinkedClass=='unlinkedClient'}">
                                                                                         <li class="custom-new-cb unchecked-new-cb" data-state="unchecked"  style="display:none"></li>
                                                                                                       </c:when>
                                                                                                       <c:otherwise>
                                                                                         <li class="custom-new-cb checked-new-cb" data-state="checked" style="display:none"></li>
                                                                                                              </c:otherwise>
                                                                                                </c:choose>
                                                                            <li class="mainClient vw-client-info">
		                                                                           <span class='sprite vw-os-sprite'></span>
                                                                                   <div class="mainText vw-client-name-sync" data-mode="${modeValue}" data-flag="${clients.flag}">
                                                                                          <span class="clientName vw-client-name" data-clientId="${clients.client.clientId}" data-appType="${clients.client.applicationId}">${clients.client.clientName}</span>
                                                                                                <cv:ifCapability name="ManageApplication" appType="FILESYSTEM"  clientName="${clients.client.clientName}" clientId="${clients.client.clientId}">
                                                                                                       <span class="hasCap"></span>
                                                                                                </cv:ifCapability>
                                                                            <c:set var="syncClientStatusText" value="Not Available" />
                                                                            <c:choose>
                                                                                   <c:when test="${clients.syncClientStatus == 'SYNC_COMPLETE'}">
                                                                                         <c:set var="syncClientStatusText" value="Complete" />
                                                                                  </c:when>
                                                                                   <c:when test="${clients.syncClientStatus == 'SYNC_PENDING'}">
                                                                                         <c:set var="syncClientStatusText" value="Pending" />
                                                                                  </c:when>
                                                                                   <c:when test="${clients.syncClientStatus == 'SYNC_RUNNING'}">
                                                                                         <c:set var="syncClientStatusText" value="In Progress" />
                                                                                  </c:when>
                                                                                   <c:when test="${clients.syncClientStatus == 'SYNC_PAUSED'}">
                                                                                         <c:set var="syncClientStatusText" value="Paused" />
                                                                                  </c:when>

                                                                            </c:choose>
                                                                                         <small class="additionalInfo vw-sync-info" ><span class="vw-last-synced-time"><fmt:message key="sync.label.lastSyncTime" />
                                                                                                <span class="actualTime vw-synced-time">${clients.lastSyncTime}</span></span><span class="vw-sync-status"><fmt:message key="sync.label.status" />&nbsp;${syncClientStatusText}</span>
                                                                                          </small>
                                                                            </div>

                                                                                   <div class="pathInfo vw-path-info">
                                                                                         <div class="topPathInfoDiv">
                                                                                                <b><fmt:message key="sync.label.syncFolderPath" />&nbsp;</b>
                                                                            <c:choose>
                                                                                                       <c:when test="${linkUnlinkedClass=='unlinkedClient'}">
                                                                                                             <div class="syncModeScroll vw-toggle-sync" data-state="offMode"><img src="../sync/img/offMode_big.png" /></div>
                                                                                   </c:when>
                                                                                   <c:otherwise>
                                                                                                             <div class="syncModeScroll vw-toggle-sync" data-state="onMode"><img src="../sync/img/onMode_big.png" /></div>
                                                                                   </c:otherwise>
                                                                            </c:choose>
                                                                                         </div>

                                                                                          <c:choose>
                                                                                          <c:when test="${clients.syncPath=='all_content'}">
                                                                                                <div class="pathSupportSpan">
                                                                                                <c:set var="hasCapValue" value="false" />
                                                                                                 <cv:ifCapability name="ManageApplication" appType="FILESYSTEM"  clientName="${clients.client.clientName}" clientId="${clients.client.clientId}">
                                                                                                       <c:set var="hasCapValue" value="true" />
                                                                                                </cv:ifCapability>
                                                                                                <c:choose>
                                                                                                       <c:when test="${hasCapValue == true}">
                                                                                                              <input type="text" class="pathInputBox" value="${allContentText}">
                                                                                                       </c:when>
                                                                                                       <c:when test="${modeValue != 2}">
                                                                                                              <input type="text" class="pathInputBox" disabled="disabled" value="${allContentText}">
                                                                                                       </c:when>
                                                                                                       <c:otherwise>
                                                                                                              <input type="text" class="pathInputBox" value="${allContentText}">
                                                                                                       </c:otherwise>
                                                                                                </c:choose>
                                                                                                <a  href="#" class="changeLocation changeLocationLink"><span class="editText"><img src="img/bluefolder_16px.png"></span></a></div>
                                                                                                <span class="actualPath">${allContentText}</span>
                                                                                          </c:when>
                                                                                          <c:when test="${clients.syncPath=='' && deleteOption=='false'}">
                                                                                                <div class="pathSupportSpan">
                                                                                                <c:set var="hasCapValue" value="false" />
                                                                                                 <cv:ifCapability name="ManageApplication" appType="FILESYSTEM"  clientName="${clients.client.clientName}" clientId="${clients.client.clientId}">
                                                                                                       <c:set var="hasCapValue" value="true" />
                                                                                                </cv:ifCapability>
                                                                                                <c:choose>
                                                                                                       <c:when test="${hasCapValue == true}">
                                                                                                              <input type="text" class="pathInputBox" value="${folder.syncWebFolder.syncWebFolderName}">
                                                                                                       </c:when>
                                                                                                       <c:when test="${modeValue != 2}">
                                                                                                              <input type="text" class="pathInputBox" value="${folder.syncWebFolder.syncWebFolderName}" disabled="disabled">
                                                                                                       </c:when>
                                                                                                       <c:otherwise>
                                                                                                              <input type="text" class="pathInputBox" value="${folder.syncWebFolder.syncWebFolderName}">
                                                                                                       </c:otherwise>
                                                                                                </c:choose>


                                                                                                       <a href="#" class="changeLocation changeLocationLink"><span class="editText"><img src="img/bluefolder_16px.png"></span></a>
                                                                                                       <small class="showMore vw-show-toggle"><fmt:message key="sync.label.more" /><img src="img/toggle_down.gif" class="syncDownArrow vw-down-arrow"></small>
                                                                                                </div>
                                                                                                <span class="actualPath">${folder.syncWebFolder.syncWebFolderName}</span>
                                                                                          </c:when>
                                                                                          <c:otherwise>
                                                                                                <div class="pathSupportSpan">
                                                                                                <c:set var="hasCapValue" value="false" />
                                                                                                 <cv:ifCapability name="ManageApplication" appType="FILESYSTEM"  clientName="${clients.client.clientName}" clientId="${clients.client.clientId}">
                                                                                                       <c:set var="hasCapValue" value="true" />
                                                                                                </cv:ifCapability>
                                                                                                <c:choose>
                                                                                                       <c:when test="${hasCapValue == true}">
                                                                                                              <input type="text" class="pathInputBox" value="${clients.syncPath}">
                                                                                                       </c:when>
                                                                                                       <c:when test="${modeValue != 2}">
                                                                                                              <input type="text" class="pathInputBox" value="${clients.syncPath}" disabled="disabled">
                                                                                                       </c:when>
                                                                                                       <c:otherwise>
                                                                                                              <input type="text" class="pathInputBox" value="${clients.syncPath}">
                                                                                                       </c:otherwise>
                                                                                                </c:choose>

                                                                                                       <a href="#" class="changeLocation changeLocationLink"><span class="editText"><img src="img/bluefolder_16px.png"></span></a>
                                                                                                       <small class="showMore vw-show-toggle"><fmt:message key="sync.label.more" /><img src="img/toggle_down.gif" class="syncDownArrow vw-down-arrow"></small>
                                                                                                </div>
                                                                                                <span class="actualPath hidden">${clients.syncPath}</span>
                                                                                          </c:otherwise>
                                                                                          </c:choose>




                                                                                   </div>

                                                                            </li>
																			<li class="additionalInfoDiv vw-advanced-options"></li>
                                                              </ul>
                                                              </c:forEach>
                                                       </div>
                                                </li>

                           </c:forEach>


                           <c:forEach  var="folder" items="${requestScope.ALL_FOLDERS}" varStatus="statusClients">
                                         <li class="otherFolders"><a href="#" data-id="${folder.syncWebFolderId}">${folder.syncWebFolderName}</a>
                                         </li>
                           </c:forEach>
                           </ul>
                     </div>






              <!-- ALL CLIENTS LIST NEEDED FOR NEW FOLDER CREATION -->

                     <div class="allClients hidden">
                           <c:forEach var="client" items="${requestScope.FS_BK_LIST}" varStatus="statusClients">

                                  <c:if test="${client.isSyncAllowed == 'true'}">
                                         <ul class="clients vw-client vw-client-row vw-data-row clearfix">
                                                <li class="custom-new-cb checked-new-cb" data-state="checked" style="display:none"></li>
                                                <li class="mainClient vw-client-info">
													   <span class='sprite vw-os-sprite'></span>
                                                       <div class="mainText vw-client-name-sync" data-mode="0">
                                                       <span class="clientName vw-client-name" data-clientId="${client.clientId}" data-delim="${client.osDelim}" data-appType="${client.appType}">${client.clientName}</span>
                                                              <cv:ifCapability name="ManageApplication" appType="FILESYSTEM"  clientName="${client.clientName}" clientId="${client.clientId}">
                                                                     <span class="hasCap"></span>
                                                              </cv:ifCapability>
                                                              <small class="additionalInfo vw-sync-info"><span class="vw-last-synced-time"><fmt:message key="sync.label.lastSyncTime" />
                                                                    <span class="actualTime vw-synced-time">0</span></span><span class="vw-sync-status">Sync Status: <fmt:message key="sync.label.notAvaiable" /></span>
                                                              </small>
                                                		</div>

                                                       <div class="pathInfo vw-path-info">
                                                             <div class="topPathInfoDiv">
                                                                    <b>Sync Folder Path:&nbsp;</b>
                                                                    <div class="syncModeScroll vw-toggle-sync" data-state="onMode"><img src="../sync/img/onMode_big.png" /></div>
                                                              </div>
                                                             <div class="pathSupportSpan">

                                                                    <c:set var="hasCapValue" value="false" />
                                                                    <cv:ifCapability name="ManageApplication" appType="FILESYSTEM"  clientName="${client.clientName}" clientId="${client.clientId}">
                                                                           <c:set var="hasCapValue" value="true" />
                                                                     </cv:ifCapability>
                                                                     <c:choose>
                                                                           <c:when test="${hasCapValue == true}">
                                                                                  <input type="text" class="pathInputBox" >
                                                                           </c:when>
                                                                           <c:otherwise>
                                                                                  <input type="text" class="pathInputBox" disabled="disabled">
                                                                           </c:otherwise>
                                                                     </c:choose>

                                                                    <a href="#" class="changeLocation changeLocationLink"><span class="editText"><img src="img/bluefolder_16px.png"></span></a>
                                                                    <small class="showMore vw-show-toggle"><fmt:message key="sync.label.more" /><img src="img/toggle_down.gif" class="syncDownArrow vw-down-arrow"></small>
                                                </div>
                                                             <span class="actualPath"></span>
                                                </div>
                                                </li>
			                                    <li class="additionalInfoDiv vw-advanced-options"></li>
                                   </ul>

                            </c:if>
                           </c:forEach>
                     </div>


              <!-- DROP DOWN USERS LIST -->

              <div class="dropdownUsersList vw-drop-down-toggle vw-drop-down-users">
                   <div class="triborder vw-triangle-border" ><div class="triarea vw-triangle-innards" ></div></div>

     		  </div>





              <!-- ERROR BUBBLE FOR MISSING FIELDS -->

              <div class="error_bubble vw-start-hidden" style="display:none; opacity: 1;">
                     <div class="error_bubble_text">
                           <fmt:message key="sync.error.fieldCannotBeEmpty" />
                     </div>
                     <div class="triborder_error" style="left: 67px;"><div class="triarea_error"></div></div>
              </div>

              <!-- SHARE FOLDER USER TYPE ADD DIV -->
			  <div id="filterGroupDiv" class="hidden vw-dialog">

				<div id="filterGroupClose" class="vw-dialog-close_container"><span class="vw-dialog-close">&times;</span></div>
				<div id="filterGroupHeader" class="vw-dialog-titlebar"><span class="vw-dialog-title"><fmt:message key="sync.label.filtersTitle" /></span></div>
				<div id="filterGroupBody">
					<c:choose>
						<c:when test="${fn:length(requestScope.WEB_FOLDER_INFO[0].associatedClients[0].syncOptions.destinationOptions.filterCriteria)>0}">
							<c:set var="breakValue" value="false"/>
							<c:forEach var="filterCriteria" items="${requestScope.WEB_FOLDER_INFO[0].associatedClients[0].syncOptions.destinationOptions.filterCriteria}" varStatus="loop">
								<c:choose>
									<c:when test="${filterCriteria.type == 'FILE_NAME'}">
										<div class = "filterItem"><div class="custom-cb checked vw-custom-checkbox" data-state="checked" aria-checked="true" role="checkbox" tabindex="0" aria-labelledby="fileName-label"></div><span class="filterName" id="fileName-label"><fmt:message key="sync.filters.fileName" /></span><span class="filterValue"><input type="text" size="34" id="filterFileName" value="${filterCriteria.value}" placeholder="${placeHolderTextFilterName}"></span></div>
										<c:set var="breakValue" value="true"/>
									</c:when>
									<c:otherwise>
										<c:if test="${breakValue == 'false' && loop.index  == fn:length(requestScope.WEB_FOLDER_INFO[0].associatedClients[0].syncOptions.destinationOptions.filterCriteria) - 1}">
											<div class = "filterItem"><div class="custom-cb unchecked vw-custom-checkbox" data-state="unchecked" aria-checked="false" role="checkbox" tabindex="0" aria-labelledby="fileName-label"></div><span class="filterName" id="fileName-label"><fmt:message key="sync.filters.fileName" /></span><span class="filterValue disabled"><input type="text" size="34" id="filterFileName" placeholder="${placeHolderTextFilterName}"></span></div>
										</c:if>
									</c:otherwise>
								</c:choose>
							</c:forEach>
							<c:set var="breakValue" value="false"/>
							<c:forEach var="filterCriteria" items="${requestScope.WEB_FOLDER_INFO[0].associatedClients[0].syncOptions.destinationOptions.filterCriteria}" varStatus="loop">
								<c:choose>
									<c:when test="${filterCriteria.type == 'FILE_MODIFIED_DAYS'}">
										<div class = "filterItem">
											<div class="custom-cb checked vw-custom-checkbox" data-state="checked" aria-checked="true" role="checkbox" tabindex="0" aria-labelledby="filtersModified-label"></div>
											<span class="filterName" id="filtersModified-label"><fmt:message key="sync.filters.modified" /></span>
											<span class="filterValue">
												<c:choose>
													<c:when test="${filterCriteria.value >364 && filterCriteria.value % 365 == 0 }">
														<c:set var="filterModifiedDaysValue" value="${filterCriteria.value/365}" />
														<c:set var="filterModifiedDaysUnits" value="years" />
													</c:when>
													<c:when test="${filterCriteria.value >29 && filterCriteria.value % 30 == 0  }">
														<c:set var="filterModifiedDaysValue" value="${filterCriteria.value/30}" />
														<c:set var="filterModifiedDaysUnits" value="months" />
													</c:when>
													<c:when test="${filterCriteria.value >6 && filterCriteria.value % 7 == 0}">
														<c:set var="filterModifiedDaysValue" value="${filterCriteria.value/7}" />
														<c:set var="filterModifiedDaysUnits" value="weeks" />
													</c:when>
													<c:otherwise>
														<c:set var="filterModifiedDaysValue" value="${filterCriteria.value}" />
													</c:otherwise>
												</c:choose>
												<input type="text" size="1" id="filterModifiedDays" value='<fmt:formatNumber type="number" pattern="###" value="${filterModifiedDaysValue}" />'>
												<select id="filterModifiedDaysSelect1">
													<c:choose>
														<c:when test="${filterModifiedDaysUnits == 'years'}">
														  	  <option value="days"><fmt:message key="sync.filters.days" /></option>
															  <option value="weeks"><fmt:message key="sync.filters.weeks" /></option>
															  <option value="months"><fmt:message key="sync.filters.months" /></option>
															  <option value="years" selected><fmt:message key="sync.filters.years" /></option>
														</c:when>
														<c:when test="${filterModifiedDaysUnits == 'months'}">
														  	  <option value="days"><fmt:message key="sync.filters.days" /></option>
															  <option value="weeks"><fmt:message key="sync.filters.weeks" /></option>
															  <option value="months" selected><fmt:message key="sync.filters.months" /></option>
															  <option value="years"><fmt:message key="sync.filters.years" /></option>
														</c:when>
														<c:when test="${filterModifiedDaysUnits == 'weeks'}">
														  	  <option value="days"><fmt:message key="sync.filters.days" /></option>
															  <option value="weeks" selected><fmt:message key="sync.filters.weeks" /></option>
															  <option value="months"><fmt:message key="sync.filters.months" /></option>
															  <option value="years"><fmt:message key="sync.filters.years" /></option>
														</c:when>
														<c:otherwise>
														  	  <option value="days" selected><fmt:message key="sync.filters.days" /></option>
															  <option value="weeks"><fmt:message key="sync.filters.weeks" /></option>
															  <option value="months"><fmt:message key="sync.filters.months" /></option>
															  <option value="years"><fmt:message key="sync.filters.years" /></option>
														</c:otherwise>
													</c:choose>
												</select>
											</span>
											</div>
										<c:set var="breakValue" value="true"/>
									</c:when>
									<c:otherwise>
										<c:if test="${breakValue == 'false' && loop.index  == fn:length(requestScope.WEB_FOLDER_INFO[0].associatedClients[0].syncOptions.destinationOptions.filterCriteria) - 1}">
											<div class = "filterItem">
												<div class="custom-cb unchecked vw-custom-checkbox" data-state="unchecked" aria-checked="false" role="checkbox" tabindex="0" aria-labelledby="filtersModified-label"></div>
												<span class="filterName" id="filtersModified-label"><fmt:message key="sync.filters.modified" /></span>
												<span class="filterValue disabled">
													<input type="text" size="1" id="filterModifiedDays">
													<select id="filterModifiedDaysSelect1">
													  	  <option value="days"><fmt:message key="sync.filters.days" /></option>
														  <option value="weeks"><fmt:message key="sync.filters.weeks" /></option>
														  <option value="months"><fmt:message key="sync.filters.months" /></option>
														  <option value="years"><fmt:message key="sync.filters.years" /></option>
													</select>
												</span>
											</div>
										</c:if>
									</c:otherwise>
								</c:choose>
							</c:forEach>
							<c:set var="breakValue" value="false"/>
							<c:forEach var="filterCriteria" items="${requestScope.WEB_FOLDER_INFO[0].associatedClients[0].syncOptions.destinationOptions.filterCriteria}" varStatus="loop">
								<c:choose>
									<c:when test="${filterCriteria.type == 'FILE_SIZE'}">
											<div class = "filterItem"><div class="custom-cb checked vw-custom-checkbox" data-state="checked" aria-checked="true" role="checkbox" tabindex="0" aria-labelledby="fileSize-label"></div><span class="filterName" id="fileSize-label"><fmt:message key="sync.filters.fileSize" /></span>
											<span class="filterValue">
												<select id="filterSizeSelect1">
												<c:choose>
													<c:when test="${filterCriteria.dataOperator == 'GT'}">
													  <option value="gt" selected><fmt:message key="sync.filters.greaterThan" /></option>
													  <option value="gte"><fmt:message key="sync.filters.greaterThanOrEqual" /></option>
													  <option value="lt"><fmt:message key="sync.filters.lessThan" /></option>
													  <option value="lte"><fmt:message key="sync.filters.lessThanOrEqual" /></option>
													</c:when>
													<c:when test="${filterCriteria.dataOperator == 'GTE'}">
												  	  <option value="gt"><fmt:message key="sync.filters.greaterThan" /></option>
													  <option value="gte" selected><fmt:message key="sync.filters.greaterThanOrEqual" /></option>
													  <option value="lt"><fmt:message key="sync.filters.lessThan" /></option>
													  <option value="lte"><fmt:message key="sync.filters.lessThanOrEqual" /></option>
													</c:when>
													<c:when test="${filterCriteria.dataOperator == 'LT'}">
												  	  <option value="gt"><fmt:message key="sync.filters.greaterThan" /></option>
													  <option value="gte"><fmt:message key="sync.filters.greaterThanOrEqual" /></option>
													  <option value="lt" selected><fmt:message key="sync.filters.lessThan" /></option>
													  <option value="lte"><fmt:message key="sync.filters.lessThanOrEqual" /></option>
													</c:when>
													<c:when test="${filterCriteria.dataOperator == 'LTE'}">
												  	  <option value="gt"><fmt:message key="sync.filters.greaterThan" /></option>
													  <option value="gte"><fmt:message key="sync.filters.greaterThanOrEqual" /></option>
													  <option value="lt"><fmt:message key="sync.filters.lessThan" /></option>
													  <option value="lte" selected><fmt:message key="sync.filters.lessThanOrEqual" /></option>
													</c:when>
												</c:choose>
												</select>
												<input type="text" size="1" id="filterSizeText" value = "${filterCriteria.value}">
												<select id="filterSizeSelect2">
													<c:choose>
														<c:when test="${filterCriteria.unit == 'KB'}">
														  <option value="kb" selected><fmt:message key="sync.label.filterKB" /></option>
														  <option value="mb"><fmt:message key="sync.label.filterMB" /></option>
														  <option value="gb"><fmt:message key="sync.label.filterGB" /></option>
														</c:when>
														<c:when test="${filterCriteria.unit == 'MB'}">
														  <option value="kb"><fmt:message key="sync.label.filterKB" /></option>
														  <option value="mb" selected><fmt:message key="sync.label.filterMB" /></option>
														  <option value="gb"><fmt:message key="sync.label.filterGB" /></option>
														</c:when>
														<c:when test="${filterCriteria.unit == 'GB'}">
														  <option value="kb"><fmt:message key="sync.label.filterKB" /></option>
														  <option value="mb"><fmt:message key="sync.label.filterMB" /></option>
														  <option value="gb" selected><fmt:message key="sync.label.filterGB" /></option>
														</c:when>
													</c:choose>

												</select>
											</span>
										</div>
										<c:set var="breakValue" value="true"/>
									</c:when>
									<c:otherwise>
										<c:if test="${breakValue == 'false' && loop.index  == fn:length(requestScope.WEB_FOLDER_INFO[0].associatedClients[0].syncOptions.destinationOptions.filterCriteria) - 1}">
											<div class = "filterItem"><div class="custom-cb unchecked vw-custom-checkbox" data-state="unchecked" aria-checked="false" role="checkbox" tabindex="0" aria-labelledby="fileSize-label"></div><span class="filterName" id="fileSize-label"><fmt:message key="sync.filters.fileSize" /></span>
											<span class="filterValue disabled">
												<select id="filterSizeSelect1">
												  	  <option value="gt"><fmt:message key="sync.filters.greaterThan" /></option>
													  <option value="gte"><fmt:message key="sync.filters.greaterThanOrEqual" /></option>
													  <option value="lt"><fmt:message key="sync.filters.lessThan" /></option>
													  <option value="lte"><fmt:message key="sync.filters.lessThanOrEqual" /></option>
												</select>
												<input type="text" size="1" id="filterSizeText">
												<select id="filterSizeSelect2">
												  <option value="kb"><fmt:message key="sync.label.filterKB" /></option>
												  <option value="mb"><fmt:message key="sync.label.filterMB" /></option>
												  <option value="gb"><fmt:message key="sync.label.filterGB" /></option>
												</select>
											</span>
											</div>
										</c:if>
									</c:otherwise>
								</c:choose>
							</c:forEach>
						</c:when>
						<c:otherwise>
							<div class = "filterItem"><div class="custom-cb unchecked vw-custom-checkbox" data-state="unchecked" aria-checked="false" role="checkbox" tabindex="0" aria-labelledby="fileName-label"></div><span class="filterName" id="fileName-label"><fmt:message key="sync.filters.fileName" /></span><span class="filterValue disabled"><input type="text" size="34" id="filterFileName" placeholder="${placeHolderTextFilterName}"></span></div>
							<div class = "filterItem">
								<div class="custom-cb unchecked vw-custom-checkbox" data-state="unchecked" aria-checked="false" role="checkbox" tabindex="0" aria-labelledby="filtersModified-label"></div>
								<span class="filterName" id="filtersModified-label"><fmt:message key="sync.filters.modified" /></span>
								<span class="filterValue disabled">
									<input type="text" size="1" id="filterModifiedDays">
									<select id="filterModifiedDaysSelect1">
									  	  <option value="days"><fmt:message key="sync.filters.days" /></option>
										  <option value="weeks"><fmt:message key="sync.filters.weeks" /></option>
										  <option value="months"><fmt:message key="sync.filters.months" /></option>
										  <option value="years"><fmt:message key="sync.filters.years" /></option>
									</select>
								</span>
							</div>

							<div class = "filterItem"><div class="custom-cb unchecked vw-custom-checkbox" data-state="unchecked" aria-checked="false" role="checkbox" tabindex="0" aria-labelledby="fileSize-label"></div><span class="filterName" id="fileSize-label"><fmt:message key="sync.filters.fileSize" /></span>
										<span class="filterValue disabled">
											<select id="filterSizeSelect1">
											  	  <option value="gt"><fmt:message key="sync.filters.greaterThan" /></option>
												  <option value="gte"><fmt:message key="sync.filters.greaterThanOrEqual" /></option>
												  <option value="lt"><fmt:message key="sync.filters.lessThan" /></option>
												  <option value="lte"><fmt:message key="sync.filters.lessThanOrEqual" /></option>
											</select>
											<input type="text" size="1" id="filterSizeText">
											<select id="filterSizeSelect2">
												  <option value="kb"><fmt:message key="sync.label.filterKB" /></option>
												  <option value="mb"><fmt:message key="sync.label.filterMB" /></option>
												  <option value="gb"><fmt:message key="sync.label.filterGB" /></option>
											</select>
										</span>
							</div>
						</c:otherwise>
					</c:choose>

					<small class="helpText vw-help-text"><span class="vw-underline"><fmt:message key="sync.label.note" /></span>&nbsp;<fmt:message key="sync.filters.helpText" /></small>

					<div class="errorClass"></div>
					<div class="buttonsClass rightBtns">
						<a class="mainBtn saveFilters vw-btn vw-btn-primary"><fmt:message key="sync.filters.done" /></a>
						<a id="cancelFilterButton" class="resetButton okSaveButton vw-btn vw-btn-secondary" ><fmt:message key="sync.button.cancel" /></a>
					</div>
				</div>
	  </div>



              <label style="display:none" id="startFolderTemp">${requestScope.FOLDER_NAME}</label>
<jsp:include page="../common/footer.jsp" >
<jsp:param value="../browse/js/browseCommon.js" name="js" />
       <jsp:param value="../common/js/custom-cb.js" name="js" />
       <jsp:param value="../common/js/custom-rb.js" name="js" />
       <jsp:param value="js/sync.js" name="js" />
       <jsp:param value="../common/js/encoder.js" name="js"/>
       <jsp:param value="../common/js/changeName.js" name="js" />
	   <jsp:param value="true" name="bootstrapped" />
</jsp:include>
</fmt:bundle>

<script nonce="${sessionScope.cspNonce}" >
var startFolderName = $("#startFolderTemp").text();
var startClient = "${requestScope.START_CLIENT}";
var isNewFolder = "${requestScope.NEW_FOLDER}";
var resumeReq = "${requestScope.RESUME_REQ}";
var isTemplate = true;
var loggedInUserName = "${sessionScope.username}";
var loggedInUserId = "${sessionScope.USERID}";
if("${deleteOption}" == "true")
       isTemplate = false;

var pauseResumeOption = "paused";
if("${pausedResumeOption}" == 'resume')
       pauseResumeOption = "resume";

if(isNewFolder == "1")
       isNewFolder = true;
else
       isNewFolder = false;




var deleteSyncFolderTitle = "${deleteSyncFolderTitle}";
var pauseSyncFolderTitle = "${pauseSyncFolderTitle}";
var resumeSyncFolderTitle = "${resumeSyncFolderTitle}";
var startSyncFolderTitle = "${startSyncFolderTitle}";
var deleteText = "${deleteText}";
var pauseText = "${pauseText}";
var resumeText = "${resumeText}";
var startText = "${startText}";
var deleteSuccess = "${deleteSuccess}";
var pauseSuccess = "${pauseSuccess}";
var resumeSuccess = "${resumeSuccess}";
var startSuccess = "${startSuccess}";
var deleteFailed = "${deleteFailed}";
var pauseFailed = "${pauseFailed}";
var resumeFailed = "${resumeFailed}";
var startFailed = "${startFailed}";
var userProfileClient = "${userProfileClient}";
var notAvailableText = "${notAvailable}";
var folderNameErrorAlreadyExists = "${folderNameErrorAlreadyExists}";
var pathError = "${pathError}";
var errorfolderNameEmpty = "${errorfolderNameEmpty}";
var errorFetchingFolder = "${errorFetchingFolder}";
var discardChangesTitle = "${discardChangesTitle}";
var discardChangesText = "${discardChangesText}";
var createFailed = "${createFailed}";
var createSuccess = "${createSuccess}";
var updateFailed = "${updateFailed}";
var updateSuccess = "${updateSuccess}";
var unlinkClientTitle = "${unlinkClientTitle}";
var unlinkClientTextP1 = "${unlinkClientTextP1}";
var unlinkClientTextP2 = "${unlinkClientTextP2}";
var unlinkFailed = "${unlinkFailed}";
var unlinkSuccess= "${unlinkSuccess}";
var userProfileSaveError = "${userProfileSaveError}";
var pauseTooltip = "${pauseTooltip}";
var resumeTooltip = "${resumeTooltip}";
var startTooltip = "${startTooltip}";
var stopTooltip = "${stopTooltip}";
var syncFolderPathText = "${syncFolderPathText}";
var lastSyncTime = "${lastSyncTime}";
var syncStatusText = "${syncStatusText}";
var allContentText = "${allContentText}";
var forceSyncLabelText = "${forceSyncLabelText}";
var forceSyncText = "${forceSyncText}";
var somethingWentWrong = "${somethingWentWrong}";
var forceSyncSuccessful = "${forceSyncSuccessful}";
var localMsg = localMsg || {};
localMsg.folderNameError = "${folderNameError}";
localMsg.nameAlreadyExists = "${nameAlreadyExists}";
localMsg.invalidPathError = "${invalidPathError}";
localMsg.clientMustBeLinkedToUserProfile = "${clientMustBeLinkedToUserProfile}";
localMsg.maxClientsError = "${maxClientsError}";
localMsg.invalidFileSize = "${invalidFileSize}";
localMsg.invalidFileModified = "${invalidFileModified}";
localMsg.invalidFileName = "${invalidFileName}";
localMsg.untitledFolderText = "${untitledFolderText}";
localMsg.selectSyncProfileTitle = "${selectSyncProfileTitle}";
var userProfileSuccessText = "${userProfileSuccessText}";
var userProfileFailureText = "${userProfileFailureText}";

for(var i=0;i<$(".actualTime").length;i++){
       $($(".actualTime")[i]).text(getCorrectTime($($(".actualTime")[i]).text()));
}

function getCorrectTime(unixTime){
       if(unixTime==0)
              return "Not Available";

       var a = new Date(unixTime *1000);
       var months = ['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'];
       var year = a.getFullYear();
       var month = months[a.getMonth()];
       var date = (a.getDate() <10)? '0' + a.getDate() : a.getDate();
       var hour = (a.getHours()> 12)? a.getHours()-12 : a.getHours();
       hour = (hour < 10)? '0' + hour: hour;
       var meridiem = (a.getHours() < 12)? 'AM' : 'PM';
       var min = (a.getMinutes() <10)? '0' + a.getMinutes()  :a.getMinutes() ;
       var sec = (a.getSeconds() < 10)? '0' + a.getSeconds() : a.getSeconds();
       var time = month +' '+date+', '+year+' '+hour+':'+min+':'+sec  + ' '+ meridiem;
       return time;
}
</script>
<!--[if IE 8]>
	<script nonce="${sessionScope.cspNonce}" >
		$('[placeholder]').focus(function() {
		  var input = $(this);
		  if (input.val() == input.attr('placeholder')) {
		    input.val('');
		    input.removeClass('placeholder');
		  }
		}).blur(function() {
		  var input = $(this);
		  if (input.val() == '' || input.val() == input.attr('placeholder')) {
		    input.addClass('placeholder');
		    input.val(input.attr('placeholder'));
		  }
		}).blur();

	$('[placeholder]').parents('form').submit(function() {
		  $(this).find('[placeholder]').each(function() {
		    var input = $(this);
		    if (input.val() == input.attr('placeholder')) {
		      input.val('');
		    }
		  });
		});

	</script>
<![endif]-->