<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
	<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
	
<fmt:bundle basename="localization.SyncMessages">
	<fmt:message key="syncContent.title.page" var="pageTitle" />
	<fmt:message key="syncContent.title.browseContent" var="browseContentLocalized" />

<jsp:include page="../common/headerV2.jsp">
		<jsp:param value="true" name="includeSecHeader" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="true" name="includeHistory" />
		<jsp:param value="true" name="includeTableSupport" />
		<jsp:param value="true" name="includeTreeSupport" />
		<jsp:param value="true" name="includeVistaSkin" />
		<jsp:param value="true" name="includeMask" />
		<jsp:param value="../sync/js/syncContentDialog.js" name="js" />
		<jsp:param value="../sync/js/fsMachineBrowse.js" name="js" />
		<jsp:param value="${pageTitle}" name="titleLocalized" />
		<jsp:param value="${pageTitle}" name="headerTitleLocalized" />
		<jsp:param value="dialog" name="displayMode" />
		<jsp:param value="../common/js/custom-cb.js" name="js" />
		<jsp:param value="../common/js/logUtil.js" name="js" />
		<jsp:param value="../common/css/custom-cb.css" name="css" />
		<jsp:param value="../common/dynatree/skin-vista/ui.dynatree.css" name="css" />
		<jsp:param value="../common/css/cvdialog.css" name="css" />
		<jsp:param value="true" name="includeSecHeader" />
</jsp:include>	

<fmt:bundle basename="localization.BackupBrowseMessages">
	<fmt:message key="content.path.desktop" var="desktopText" />
	<fmt:message key="content.path.documents" var="documentsText" />
	<fmt:message key="content.path.music" var="musicText" />
	<fmt:message key="content.path.videos" var="videosText" />
	<fmt:message key="content.path.pictures" var="picturesText" />
	
</fmt:bundle>
    
<fmt:bundle basename="localization.SyncMessages">
	<fmt:message key="sync.error.unableToBrowseClient" var="unableToBrowseClient" />
</fmt:bundle>

	<fmt:message key="sync.browseDialog.SelectDefaultDirectory" var="SelectDefaultDirectoryText"/>
	<fmt:message key="sync.browseDialog.SelectBackupContent"  var="SelectBackupContentText"/>
	<fmt:message key="sync.browseDialog.SelectContentToSync" var="SelectContentToSyncText"/>
	<fmt:message key="sync.browseDialog.SelectDefaultDirectoryNote" var="SelectDefaultDirectoryNoteText"/>
	<fmt:message key="sync.browseDialog.SelectBackupContentNote" var="SelectBackupContentNoteText"/>
	<fmt:message key="sync.browseDialog.SelectContentToSyncNote" var="SelectContentToSyncNoteText"/>
	
	
	<fmt:bundle basename="localization.messages">
		<fmt:message key="common.action.select" var="selectText"/>
	</fmt:bundle>
	<c:set var="client" value="${requestScope.CLIENT_DETAIL}" />
	
	
	<cv:ifCapability name="ManageApplication" appType="${requestScope.APPTYPE}"  clientName="${client.clientName}" clientId="${client.clientId}">
		<c:set var="hasCap" value="yes" />
	</cv:ifCapability>
    
    <body>
    
					<c:choose>
					<c:when test="${requestScope.IS_DEFAULT_DIR == 1}">
			<c:set var="browseDialogTitle" value='${SelectDefaultDirectoryText}' scope="request"  />
					</c:when>
					<c:otherwise>
					<c:choose>
						<c:when test="${hasCap != 'yes'} ">
					<c:set var="browseDialogTitle" value='${SelectBackupContentText}' scope="request" />
						</c:when>
						<c:otherwise>
					<c:set var="browseDialogTitle" value='${SelectContentToSyncText}' scope="request" />
						</c:otherwise>
					</c:choose>
					</c:otherwise>
					</c:choose>
					
	<c:set var="showBottomText" value="true" scope="request" />				
				<c:choose>
					<c:when test="${requestScope.IS_DEFAULT_DIR == 1}">
	 				<c:set var="browseDialogBottomText" value='${SelectDefaultDirectoryNoteText}' scope="request" />
					</c:when>
					<c:otherwise>		
						<c:choose>
						<c:when test="${hasCap != 'yes'}">
	 				<c:set var="browseDialogBottomText" value='${SelectBackupContentNoteText}' scope="request" />	
						</c:when> 
						<c:otherwise>
	 				<c:set var="browseDialogBottomText" value='${SelectContentToSyncNoteText}' scope="request" />	
						</c:otherwise>
					</c:choose>		
					</c:otherwise>
				</c:choose>
	<c:set var="browseDialogSaveButton" value='${selectText}' scope="request" />
	<c:set var="browseDialogSaveButtonClass" value='saveButton' scope="request" />
	
	<jsp:include page="../common/commonBrowseDialog.jsp" />
		
		<ul class="backedUpContent doNotShow">
			<c:forEach var="item" items="${requestScope.contentList}">
				<li data-fromFolder="${item.fromWebFolder}">${item.content.value}</li>
			</c:forEach>
		</ul>
		
	</body>
</fmt:bundle>
<script nonce="${sessionScope.cspNonce}" >
var selectedItem="";
var selectedNode=null;
var clientName="${client.clientName}";
var selectedClient = "${SELECTED_PATH}";
var selectedClientForCancel = "${SELECTED_PATH}";
var delim = "${requestScope.DIR_DELIM}";
var fullDirShow = "${requestScope.fullDirShow}";
var manageOperations = false;

var desktopText = "${desktopText}";
var documentsText = "${documentsText}";
var musicText = "${musicText}";
var videosText = "${videosText}";
var picturesText = "${picturesText}";
var unableToBrowseClient = "${unableToBrowseClient}";

if("${hasCap}" == "yes" || "${requestScope.IS_DEFAULT_DIR}" == "1")
	manageOperations = true;
if(!manageOperations){
	var parameters = "location=sync&clientId=${client.clientId}&clientName=${client.clientName}&mode=BACKUP_CONTENT_MODE";
	result = cvUtil.loadSynchronously(cvUtil.getContextPath() + '/server/contentList', parameters, function(data) {
	});
}else{
	result = "\\";
}


function getData(){
	return returnVals;
}
</script>
<style>
.doNotShow{
	display:none;
}
#container #content #browsetree .backedUp{
	background-position: 0px 0px;
	background-image: url("../sync/img/backup_16px.png");
}
body #container #content #browsetree .synced{
	background-position: 0px 0px;
	background-image: url("../sync/img/sync_16px.png");
}
#content #browsetree .partialBackedUp{
	background-position: 0px 0px;
	background-image: url("../sync/img/backup_16px_parent.png");
}
#content #browsetree .partialSynced{
	background-position: 0px 0px;
	background-image: url("../sync/img/sync_16px_parent.png");
}
</style>